Polígono Regular (Pieza)

From FreeCAD Documentation
This page is a translated version of the page Part RegularPolygon and the translation is 4% complete.
Outdated translations are marked like this.

Part RegularPolygon

Menu location
Part → Create Primitives → Regular Polygon
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
None

Description

Descripción

La primitiva Polígono Regular es accesible desde el menú Crear Primitivas en el banco de trabajo de Piezas.

Al menú Crear Primitivas se accede vía el icono Crear Primitivas localizada en la barra del menú de herramientas Partes, del banco de trabajo de Piezas.

See Part Primitives.

Example

Part RegularPolygon from the scripting example

A Part RegularPolygon object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • DatosPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatosCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()